package de.der.sample.business;

import org.apache.log4j.Level;
import org.apache.log4j.Logger;

import javax.ejb.Singleton;
import javax.jws.WebMethod;
import javax.jws.WebService;

@Singleton
@WebService
public class SampleBean {

    private static final Logger LOGGER = Logger.getLogger(SampleBean.class);

    @WebMethod
    public String doIt( String in ) {
        LOGGER.warn("EffectiveLevel:" + LOGGER.getEffectiveLevel().toString());

        if( !LOGGER.getEffectiveLevel().isGreaterOrEqual(Level.DEBUG) ){
            LOGGER.warn( "IN" );
        } else{
            LOGGER.warn( "OUT" );
        }

        return "EffectiveLevel:" + LOGGER.getEffectiveLevel().toString();
    }

}
